Bug 24102 - cannot mount NFS on a server with the Intel Pro/1000 NIC
Summary: cannot mount NFS on a server with the Intel Pro/1000 NIC
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-16 10:47 UTC by Keiichi Mori
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 10:48:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Keiichi Mori 2001-01-16 10:47:56 UTC
A NFS server uses the Intel Pro/1000 Adapter as ethernet card.
Client machine cannot mount NFS on this server.
When the server uses other ethernet cards(ex. eepro100),
client machine can mount correctly.

I found the size of receive buffer e1000.o(Intel Pro/1000 Driver) used is
larger than the size of socket buffer rpc.mountd used.
the socket buffer size is 2048 byte, but the receive buffer size is 2248
byte.

So I fixed nfs-utils source...

nfs-utils-0.2/support/nfs/rpcmisc.c
in function makesock()

- /* 1024 for rpc & transport overheads */
- sblen = rblen = socksz + 1024;
+ /* 2048 for rpc & transport overheads */
+ sblen = rblen = socksz + 2048;
  if (setsockopt(s, SOL_SOCKET, SO_SNDBUF, &sblen, sizeof sblen) < 0 ||

When I changed rpcmisc.c, client machine can mount NFS.

Could you merge this change?

Comment 1 Bob Matthews 2001-01-19 20:17:20 UTC
Thanks for the patch.  It's been applied.


Note You need to log in before you can comment on or make changes to this bug.